import { ParseTreeVisitor } from 'antlr4';
import { StatementsOrCommandsContext } from "./CypherCmdParser";
import { StatementOrCommandContext } from "./CypherCmdParser";
import { ConsoleCommandContext } from "./CypherCmdParser";
import { ParamsCmdContext } from "./CypherCmdParser";
import { ParamsArgsContext } from "./CypherCmdParser";
import { LambdaContext } from "./CypherCmdParser";
import { ClearCmdContext } from "./CypherCmdParser";
import { HistoryCmdContext } from "./CypherCmdParser";
import { UseCmdContext } from "./CypherCmdParser";
import { ServerCmdContext } from "./CypherCmdParser";
import { ServerArgsContext } from "./CypherCmdParser";
import { ConnectCmdContext } from "./CypherCmdParser";
import { DisconnectCmdContext } from "./CypherCmdParser";
import { SysInfoCmdContext } from "./CypherCmdParser";
import { WelcomeCmdContext } from "./CypherCmdParser";
import { ListCompletionRuleContext } from "./CypherCmdParser";
import { UseCompletionRuleContext } from "./CypherCmdParser";
import { ServerCompletionRuleContext } from "./CypherCmdParser";
import { UnescapedLabelSymbolicNameStringContext } from "./CypherCmdParser";
import { PreparsedStatementContext } from "./CypherCmdParser";
import { PreparserOptionContext } from "./CypherCmdParser";
import { StatementsContext } from "./CypherCmdParser";
import { StatementContext } from "./CypherCmdParser";
import { PeriodicCommitQueryHintFailureContext } from "./CypherCmdParser";
import { RegularQueryContext } from "./CypherCmdParser";
import { SingleQueryContext } from "./CypherCmdParser";
import { ClauseContext } from "./CypherCmdParser";
import { UseClauseContext } from "./CypherCmdParser";
import { GraphReferenceContext } from "./CypherCmdParser";
import { FinishClauseContext } from "./CypherCmdParser";
import { ReturnClauseContext } from "./CypherCmdParser";
import { ReturnBodyContext } from "./CypherCmdParser";
import { ReturnItemContext } from "./CypherCmdParser";
import { ReturnItemsContext } from "./CypherCmdParser";
import { OrderItemContext } from "./CypherCmdParser";
import { AscTokenContext } from "./CypherCmdParser";
import { DescTokenContext } from "./CypherCmdParser";
import { OrderByContext } from "./CypherCmdParser";
import { SkipContext } from "./CypherCmdParser";
import { LimitContext } from "./CypherCmdParser";
import { WhereClauseContext } from "./CypherCmdParser";
import { WithClauseContext } from "./CypherCmdParser";
import { CreateClauseContext } from "./CypherCmdParser";
import { InsertClauseContext } from "./CypherCmdParser";
import { SetClauseContext } from "./CypherCmdParser";
import { SetPropContext } from "./CypherCmdParser";
import { SetDynamicPropContext } from "./CypherCmdParser";
import { SetPropsContext } from "./CypherCmdParser";
import { AddPropContext } from "./CypherCmdParser";
import { SetLabelsContext } from "./CypherCmdParser";
import { SetLabelsIsContext } from "./CypherCmdParser";
import { RemoveClauseContext } from "./CypherCmdParser";
import { RemovePropContext } from "./CypherCmdParser";
import { RemoveDynamicPropContext } from "./CypherCmdParser";
import { RemoveLabelsContext } from "./CypherCmdParser";
import { RemoveLabelsIsContext } from "./CypherCmdParser";
import { DeleteClauseContext } from "./CypherCmdParser";
import { MatchClauseContext } from "./CypherCmdParser";
import { MatchModeContext } from "./CypherCmdParser";
import { HintContext } from "./CypherCmdParser";
import { MergeClauseContext } from "./CypherCmdParser";
import { MergeActionContext } from "./CypherCmdParser";
import { UnwindClauseContext } from "./CypherCmdParser";
import { CallClauseContext } from "./CypherCmdParser";
import { ProcedureNameContext } from "./CypherCmdParser";
import { ProcedureArgumentContext } from "./CypherCmdParser";
import { ProcedureResultItemContext } from "./CypherCmdParser";
import { LoadCSVClauseContext } from "./CypherCmdParser";
import { ForeachClauseContext } from "./CypherCmdParser";
import { SubqueryClauseContext } from "./CypherCmdParser";
import { SubqueryScopeContext } from "./CypherCmdParser";
import { SubqueryInTransactionsParametersContext } from "./CypherCmdParser";
import { SubqueryInTransactionsBatchParametersContext } from "./CypherCmdParser";
import { SubqueryInTransactionsErrorParametersContext } from "./CypherCmdParser";
import { SubqueryInTransactionsReportParametersContext } from "./CypherCmdParser";
import { OrderBySkipLimitClauseContext } from "./CypherCmdParser";
import { PatternListContext } from "./CypherCmdParser";
import { InsertPatternListContext } from "./CypherCmdParser";
import { PatternContext } from "./CypherCmdParser";
import { InsertPatternContext } from "./CypherCmdParser";
import { QuantifierContext } from "./CypherCmdParser";
import { AnonymousPatternContext } from "./CypherCmdParser";
import { ShortestPathPatternContext } from "./CypherCmdParser";
import { PatternElementContext } from "./CypherCmdParser";
import { AnyShortestPathContext } from "./CypherCmdParser";
import { AllShortestPathContext } from "./CypherCmdParser";
import { AnyPathContext } from "./CypherCmdParser";
import { AllPathContext } from "./CypherCmdParser";
import { ShortestGroupContext } from "./CypherCmdParser";
import { GroupTokenContext } from "./CypherCmdParser";
import { PathTokenContext } from "./CypherCmdParser";
import { PathPatternNonEmptyContext } from "./CypherCmdParser";
import { NodePatternContext } from "./CypherCmdParser";
import { InsertNodePatternContext } from "./CypherCmdParser";
import { ParenthesizedPathContext } from "./CypherCmdParser";
import { NodeLabelsContext } from "./CypherCmdParser";
import { NodeLabelsIsContext } from "./CypherCmdParser";
import { DynamicExpressionContext } from "./CypherCmdParser";
import { DynamicAnyAllExpressionContext } from "./CypherCmdParser";
import { DynamicLabelTypeContext } from "./CypherCmdParser";
import { LabelTypeContext } from "./CypherCmdParser";
import { RelTypeContext } from "./CypherCmdParser";
import { LabelOrRelTypeContext } from "./CypherCmdParser";
import { PropertiesContext } from "./CypherCmdParser";
import { RelationshipPatternContext } from "./CypherCmdParser";
import { InsertRelationshipPatternContext } from "./CypherCmdParser";
import { LeftArrowContext } from "./CypherCmdParser";
import { ArrowLineContext } from "./CypherCmdParser";
import { RightArrowContext } from "./CypherCmdParser";
import { PathLengthContext } from "./CypherCmdParser";
import { LabelExpressionContext } from "./CypherCmdParser";
import { LabelExpression4Context } from "./CypherCmdParser";
import { LabelExpression4IsContext } from "./CypherCmdParser";
import { LabelExpression3Context } from "./CypherCmdParser";
import { LabelExpression3IsContext } from "./CypherCmdParser";
import { LabelExpression2Context } from "./CypherCmdParser";
import { LabelExpression2IsContext } from "./CypherCmdParser";
import { ParenthesizedLabelExpressionContext } from "./CypherCmdParser";
import { AnyLabelContext } from "./CypherCmdParser";
import { DynamicLabelContext } from "./CypherCmdParser";
import { LabelNameContext } from "./CypherCmdParser";
import { ParenthesizedLabelExpressionIsContext } from "./CypherCmdParser";
import { AnyLabelIsContext } from "./CypherCmdParser";
import { DynamicLabelIsContext } from "./CypherCmdParser";
import { LabelNameIsContext } from "./CypherCmdParser";
import { InsertNodeLabelExpressionContext } from "./CypherCmdParser";
import { InsertRelationshipLabelExpressionContext } from "./CypherCmdParser";
import { ExpressionContext } from "./CypherCmdParser";
import { Expression11Context } from "./CypherCmdParser";
import { Expression10Context } from "./CypherCmdParser";
import { Expression9Context } from "./CypherCmdParser";
import { Expression8Context } from "./CypherCmdParser";
import { Expression7Context } from "./CypherCmdParser";
import { StringAndListComparisonContext } from "./CypherCmdParser";
import { NullComparisonContext } from "./CypherCmdParser";
import { TypeComparisonContext } from "./CypherCmdParser";
import { NormalFormComparisonContext } from "./CypherCmdParser";
import { NormalFormContext } from "./CypherCmdParser";
import { Expression6Context } from "./CypherCmdParser";
import { Expression5Context } from "./CypherCmdParser";
import { Expression4Context } from "./CypherCmdParser";
import { Expression3Context } from "./CypherCmdParser";
import { Expression2Context } from "./CypherCmdParser";
import { PropertyPostfixContext } from "./CypherCmdParser";
import { LabelPostfixContext } from "./CypherCmdParser";
import { IndexPostfixContext } from "./CypherCmdParser";
import { RangePostfixContext } from "./CypherCmdParser";
import { PropertyContext } from "./CypherCmdParser";
import { DynamicPropertyContext } from "./CypherCmdParser";
import { PropertyExpressionContext } from "./CypherCmdParser";
import { DynamicPropertyExpressionContext } from "./CypherCmdParser";
import { Expression1Context } from "./CypherCmdParser";
import { NummericLiteralContext } from "./CypherCmdParser";
import { StringsLiteralContext } from "./CypherCmdParser";
import { OtherLiteralContext } from "./CypherCmdParser";
import { BooleanLiteralContext } from "./CypherCmdParser";
import { KeywordLiteralContext } from "./CypherCmdParser";
import { CaseExpressionContext } from "./CypherCmdParser";
import { CaseAlternativeContext } from "./CypherCmdParser";
import { ExtendedCaseExpressionContext } from "./CypherCmdParser";
import { ExtendedCaseAlternativeContext } from "./CypherCmdParser";
import { WhenStringOrListContext } from "./CypherCmdParser";
import { WhenNullContext } from "./CypherCmdParser";
import { WhenTypeContext } from "./CypherCmdParser";
import { WhenFormContext } from "./CypherCmdParser";
import { WhenComparatorContext } from "./CypherCmdParser";
import { WhenEqualsContext } from "./CypherCmdParser";
import { ListComprehensionContext } from "./CypherCmdParser";
import { PatternComprehensionContext } from "./CypherCmdParser";
import { ReduceExpressionContext } from "./CypherCmdParser";
import { ListItemsPredicateContext } from "./CypherCmdParser";
import { NormalizeFunctionContext } from "./CypherCmdParser";
import { TrimFunctionContext } from "./CypherCmdParser";
import { PatternExpressionContext } from "./CypherCmdParser";
import { ShortestPathExpressionContext } from "./CypherCmdParser";
import { ParenthesizedExpressionContext } from "./CypherCmdParser";
import { MapProjectionContext } from "./CypherCmdParser";
import { MapProjectionElementContext } from "./CypherCmdParser";
import { CountStarContext } from "./CypherCmdParser";
import { ExistsExpressionContext } from "./CypherCmdParser";
import { CountExpressionContext } from "./CypherCmdParser";
import { CollectExpressionContext } from "./CypherCmdParser";
import { NumberLiteralContext } from "./CypherCmdParser";
import { SignedIntegerLiteralContext } from "./CypherCmdParser";
import { ListLiteralContext } from "./CypherCmdParser";
import { PropertyKeyNameContext } from "./CypherCmdParser";
import { ParameterContext } from "./CypherCmdParser";
import { ParameterNameContext } from "./CypherCmdParser";
import { FunctionInvocationContext } from "./CypherCmdParser";
import { FunctionArgumentContext } from "./CypherCmdParser";
import { FunctionNameContext } from "./CypherCmdParser";
import { NamespaceContext } from "./CypherCmdParser";
import { VariableContext } from "./CypherCmdParser";
import { NonEmptyNameListContext } from "./CypherCmdParser";
import { TypeContext } from "./CypherCmdParser";
import { TypePartContext } from "./CypherCmdParser";
import { TypeNameContext } from "./CypherCmdParser";
import { TypeNullabilityContext } from "./CypherCmdParser";
import { TypeListSuffixContext } from "./CypherCmdParser";
import { CommandContext } from "./CypherCmdParser";
import { CreateCommandContext } from "./CypherCmdParser";
import { DropCommandContext } from "./CypherCmdParser";
import { ShowCommandContext } from "./CypherCmdParser";
import { ShowCommandYieldContext } from "./CypherCmdParser";
import { YieldItemContext } from "./CypherCmdParser";
import { YieldSkipContext } from "./CypherCmdParser";
import { YieldLimitContext } from "./CypherCmdParser";
import { YieldClauseContext } from "./CypherCmdParser";
import { CommandOptionsContext } from "./CypherCmdParser";
import { TerminateCommandContext } from "./CypherCmdParser";
import { ComposableCommandClausesContext } from "./CypherCmdParser";
import { ComposableShowCommandClausesContext } from "./CypherCmdParser";
import { ShowBriefAndYieldContext } from "./CypherCmdParser";
import { ShowIndexCommandContext } from "./CypherCmdParser";
import { ShowIndexesAllowBriefContext } from "./CypherCmdParser";
import { ShowIndexesNoBriefContext } from "./CypherCmdParser";
import { ShowConstraintMultiContext } from "./CypherCmdParser";
import { ShowConstraintUniqueContext } from "./CypherCmdParser";
import { ShowConstraintKeyContext } from "./CypherCmdParser";
import { ShowConstraintRelExistContext } from "./CypherCmdParser";
import { ShowConstraintOldExistsContext } from "./CypherCmdParser";
import { ShowConstraintBriefAndYieldContext } from "./CypherCmdParser";
import { ConstraintAllowYieldTypeContext } from "./CypherCmdParser";
import { ConstraintExistTypeContext } from "./CypherCmdParser";
import { ConstraintBriefAndYieldTypeContext } from "./CypherCmdParser";
import { ShowConstraintsAllowBriefAndYieldContext } from "./CypherCmdParser";
import { ShowConstraintsAllowBriefContext } from "./CypherCmdParser";
import { ShowConstraintsAllowYieldContext } from "./CypherCmdParser";
import { ShowProceduresContext } from "./CypherCmdParser";
import { ShowFunctionsContext } from "./CypherCmdParser";
import { FunctionTokenContext } from "./CypherCmdParser";
import { ExecutableByContext } from "./CypherCmdParser";
import { ShowFunctionsTypeContext } from "./CypherCmdParser";
import { ShowTransactionsContext } from "./CypherCmdParser";
import { TerminateTransactionsContext } from "./CypherCmdParser";
import { ShowSettingsContext } from "./CypherCmdParser";
import { SettingTokenContext } from "./CypherCmdParser";
import { NamesAndClausesContext } from "./CypherCmdParser";
import { StringsOrExpressionContext } from "./CypherCmdParser";
import { CommandNodePatternContext } from "./CypherCmdParser";
import { CommandRelPatternContext } from "./CypherCmdParser";
import { CreateConstraintContext } from "./CypherCmdParser";
import { ConstraintExistsContext } from "./CypherCmdParser";
import { ConstraintTypedContext } from "./CypherCmdParser";
import { ConstraintIsUniqueContext } from "./CypherCmdParser";
import { ConstraintKeyContext } from "./CypherCmdParser";
import { ConstraintIsNotNullContext } from "./CypherCmdParser";
import { DropConstraintContext } from "./CypherCmdParser";
import { CreateIndexContext } from "./CypherCmdParser";
import { OldCreateIndexContext } from "./CypherCmdParser";
import { CreateIndex_Context } from "./CypherCmdParser";
import { CreateFulltextIndexContext } from "./CypherCmdParser";
import { FulltextNodePatternContext } from "./CypherCmdParser";
import { FulltextRelPatternContext } from "./CypherCmdParser";
import { CreateLookupIndexContext } from "./CypherCmdParser";
import { LookupIndexNodePatternContext } from "./CypherCmdParser";
import { LookupIndexRelPatternContext } from "./CypherCmdParser";
import { DropIndexContext } from "./CypherCmdParser";
import { PropertyListContext } from "./CypherCmdParser";
import { EnclosedPropertyListContext } from "./CypherCmdParser";
import { AlterCommandContext } from "./CypherCmdParser";
import { RenameCommandContext } from "./CypherCmdParser";
import { GrantCommandContext } from "./CypherCmdParser";
import { DenyCommandContext } from "./CypherCmdParser";
import { RevokeCommandContext } from "./CypherCmdParser";
import { UserNamesContext } from "./CypherCmdParser";
import { RoleNamesContext } from "./CypherCmdParser";
import { RoleTokenContext } from "./CypherCmdParser";
import { EnableServerCommandContext } from "./CypherCmdParser";
import { AlterServerContext } from "./CypherCmdParser";
import { RenameServerContext } from "./CypherCmdParser";
import { DropServerContext } from "./CypherCmdParser";
import { ShowServersContext } from "./CypherCmdParser";
import { AllocationCommandContext } from "./CypherCmdParser";
import { DeallocateDatabaseFromServersContext } from "./CypherCmdParser";
import { ReallocateDatabasesContext } from "./CypherCmdParser";
import { CreateRoleContext } from "./CypherCmdParser";
import { DropRoleContext } from "./CypherCmdParser";
import { RenameRoleContext } from "./CypherCmdParser";
import { ShowRolesContext } from "./CypherCmdParser";
import { GrantRoleContext } from "./CypherCmdParser";
import { RevokeRoleContext } from "./CypherCmdParser";
import { CreateUserContext } from "./CypherCmdParser";
import { DropUserContext } from "./CypherCmdParser";
import { RenameUserContext } from "./CypherCmdParser";
import { AlterCurrentUserContext } from "./CypherCmdParser";
import { AlterUserContext } from "./CypherCmdParser";
import { RemoveNamedProviderContext } from "./CypherCmdParser";
import { PasswordContext } from "./CypherCmdParser";
import { PasswordOnlyContext } from "./CypherCmdParser";
import { PasswordExpressionContext } from "./CypherCmdParser";
import { PasswordChangeRequiredContext } from "./CypherCmdParser";
import { UserStatusContext } from "./CypherCmdParser";
import { HomeDatabaseContext } from "./CypherCmdParser";
import { SetAuthClauseContext } from "./CypherCmdParser";
import { UserAuthAttributeContext } from "./CypherCmdParser";
import { ShowUsersContext } from "./CypherCmdParser";
import { ShowCurrentUserContext } from "./CypherCmdParser";
import { ShowSupportedPrivilegesContext } from "./CypherCmdParser";
import { ShowPrivilegesContext } from "./CypherCmdParser";
import { ShowRolePrivilegesContext } from "./CypherCmdParser";
import { ShowUserPrivilegesContext } from "./CypherCmdParser";
import { PrivilegeAsCommandContext } from "./CypherCmdParser";
import { PrivilegeTokenContext } from "./CypherCmdParser";
import { PrivilegeContext } from "./CypherCmdParser";
import { AllPrivilegeContext } from "./CypherCmdParser";
import { AllPrivilegeTypeContext } from "./CypherCmdParser";
import { DefaultTargetContext } from "./CypherCmdParser";
import { DatabaseVariableTargetContext } from "./CypherCmdParser";
import { GraphVariableTargetContext } from "./CypherCmdParser";
import { DBMSTargetContext } from "./CypherCmdParser";
import { CreatePrivilegeContext } from "./CypherCmdParser";
import { CreatePrivilegeForDatabaseContext } from "./CypherCmdParser";
import { CreateNodePrivilegeTokenContext } from "./CypherCmdParser";
import { CreateRelPrivilegeTokenContext } from "./CypherCmdParser";
import { CreatePropertyPrivilegeTokenContext } from "./CypherCmdParser";
import { ActionForDBMSContext } from "./CypherCmdParser";
import { DropPrivilegeContext } from "./CypherCmdParser";
import { LoadPrivilegeContext } from "./CypherCmdParser";
import { ShowPrivilegeContext } from "./CypherCmdParser";
import { SetPrivilegeContext } from "./CypherCmdParser";
import { PasswordTokenContext } from "./CypherCmdParser";
import { RemovePrivilegeContext } from "./CypherCmdParser";
import { WritePrivilegeContext } from "./CypherCmdParser";
import { DatabasePrivilegeContext } from "./CypherCmdParser";
import { DbmsPrivilegeContext } from "./CypherCmdParser";
import { DbmsPrivilegeExecuteContext } from "./CypherCmdParser";
import { AdminTokenContext } from "./CypherCmdParser";
import { ProcedureTokenContext } from "./CypherCmdParser";
import { IndexTokenContext } from "./CypherCmdParser";
import { ConstraintTokenContext } from "./CypherCmdParser";
import { TransactionTokenContext } from "./CypherCmdParser";
import { UserQualifierContext } from "./CypherCmdParser";
import { ExecuteFunctionQualifierContext } from "./CypherCmdParser";
import { ExecuteProcedureQualifierContext } from "./CypherCmdParser";
import { SettingQualifierContext } from "./CypherCmdParser";
import { GlobsContext } from "./CypherCmdParser";
import { GlobContext } from "./CypherCmdParser";
import { GlobRecursiveContext } from "./CypherCmdParser";
import { GlobPartContext } from "./CypherCmdParser";
import { QualifiedGraphPrivilegesWithPropertyContext } from "./CypherCmdParser";
import { QualifiedGraphPrivilegesContext } from "./CypherCmdParser";
import { LabelsResourceContext } from "./CypherCmdParser";
import { PropertiesResourceContext } from "./CypherCmdParser";
import { NonEmptyStringListContext } from "./CypherCmdParser";
import { GraphQualifierContext } from "./CypherCmdParser";
import { GraphQualifierTokenContext } from "./CypherCmdParser";
import { RelTokenContext } from "./CypherCmdParser";
import { ElementTokenContext } from "./CypherCmdParser";
import { NodeTokenContext } from "./CypherCmdParser";
import { DatabaseScopeContext } from "./CypherCmdParser";
import { GraphScopeContext } from "./CypherCmdParser";
import { CreateCompositeDatabaseContext } from "./CypherCmdParser";
import { CreateDatabaseContext } from "./CypherCmdParser";
import { PrimaryTopologyContext } from "./CypherCmdParser";
import { PrimaryTokenContext } from "./CypherCmdParser";
import { SecondaryTopologyContext } from "./CypherCmdParser";
import { SecondaryTokenContext } from "./CypherCmdParser";
import { DropDatabaseContext } from "./CypherCmdParser";
import { AliasActionContext } from "./CypherCmdParser";
import { AlterDatabaseContext } from "./CypherCmdParser";
import { AlterDatabaseAccessContext } from "./CypherCmdParser";
import { AlterDatabaseTopologyContext } from "./CypherCmdParser";
import { AlterDatabaseOptionContext } from "./CypherCmdParser";
import { StartDatabaseContext } from "./CypherCmdParser";
import { StopDatabaseContext } from "./CypherCmdParser";
import { WaitClauseContext } from "./CypherCmdParser";
import { SecondsTokenContext } from "./CypherCmdParser";
import { ShowDatabaseContext } from "./CypherCmdParser";
import { AliasNameContext } from "./CypherCmdParser";
import { DatabaseNameContext } from "./CypherCmdParser";
import { CreateAliasContext } from "./CypherCmdParser";
import { DropAliasContext } from "./CypherCmdParser";
import { AlterAliasContext } from "./CypherCmdParser";
import { AlterAliasTargetContext } from "./CypherCmdParser";
import { AlterAliasUserContext } from "./CypherCmdParser";
import { AlterAliasPasswordContext } from "./CypherCmdParser";
import { AlterAliasDriverContext } from "./CypherCmdParser";
import { AlterAliasPropertiesContext } from "./CypherCmdParser";
import { ShowAliasesContext } from "./CypherCmdParser";
import { SymbolicNameOrStringParameterContext } from "./CypherCmdParser";
import { CommandNameExpressionContext } from "./CypherCmdParser";
import { SymbolicNameOrStringParameterListContext } from "./CypherCmdParser";
import { SymbolicAliasNameListContext } from "./CypherCmdParser";
import { SymbolicAliasNameOrParameterContext } from "./CypherCmdParser";
import { SymbolicAliasNameContext } from "./CypherCmdParser";
import { StringListLiteralContext } from "./CypherCmdParser";
import { StringListContext } from "./CypherCmdParser";
import { StringLiteralContext } from "./CypherCmdParser";
import { StringOrParameterExpressionContext } from "./CypherCmdParser";
import { StringOrParameterContext } from "./CypherCmdParser";
import { UIntOrIntParameterContext } from "./CypherCmdParser";
import { MapOrParameterContext } from "./CypherCmdParser";
import { MapContext } from "./CypherCmdParser";
import { SymbolicVariableNameStringContext } from "./CypherCmdParser";
import { EscapedSymbolicVariableNameStringContext } from "./CypherCmdParser";
import { UnescapedSymbolicVariableNameStringContext } from "./CypherCmdParser";
import { SymbolicNameStringContext } from "./CypherCmdParser";
import { EscapedSymbolicNameStringContext } from "./CypherCmdParser";
import { UnescapedSymbolicNameStringContext } from "./CypherCmdParser";
import { SymbolicLabelNameStringContext } from "./CypherCmdParser";
import { UnescapedLabelSymbolicNameString_Context } from "./CypherCmdParser";
import { EndOfFileContext } from "./CypherCmdParser";
/**
 * This interface defines a complete generic visitor for a parse tree produced
 * by `CypherCmdParser`.
 *
 * @param <Result> The return type of the visit operation. Use `void` for
 * operations with no return type.
 */
export default class CypherCmdParserVisitor<Result> extends ParseTreeVisitor<Result> {
    /**
     * Visit a parse tree produced by `CypherCmdParser.statementsOrCommands`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatementsOrCommands?: (ctx: StatementsOrCommandsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.statementOrCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatementOrCommand?: (ctx: StatementOrCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.consoleCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConsoleCommand?: (ctx: ConsoleCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.paramsCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParamsCmd?: (ctx: ParamsCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.paramsArgs`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParamsArgs?: (ctx: ParamsArgsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.lambda`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLambda?: (ctx: LambdaContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.clearCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitClearCmd?: (ctx: ClearCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.historyCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitHistoryCmd?: (ctx: HistoryCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.useCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUseCmd?: (ctx: UseCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.serverCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitServerCmd?: (ctx: ServerCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.serverArgs`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitServerArgs?: (ctx: ServerArgsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.connectCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConnectCmd?: (ctx: ConnectCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.disconnectCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDisconnectCmd?: (ctx: DisconnectCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.sysInfoCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSysInfoCmd?: (ctx: SysInfoCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.welcomeCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWelcomeCmd?: (ctx: WelcomeCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.listCompletionRule`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListCompletionRule?: (ctx: ListCompletionRuleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.useCompletionRule`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUseCompletionRule?: (ctx: UseCompletionRuleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.serverCompletionRule`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitServerCompletionRule?: (ctx: ServerCompletionRuleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.unescapedLabelSymbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnescapedLabelSymbolicNameString?: (ctx: UnescapedLabelSymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.preparsedStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPreparsedStatement?: (ctx: PreparsedStatementContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.preparserOption`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPreparserOption?: (ctx: PreparserOptionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.statements`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatements?: (ctx: StatementsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatement?: (ctx: StatementContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.periodicCommitQueryHintFailure`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPeriodicCommitQueryHintFailure?: (ctx: PeriodicCommitQueryHintFailureContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.regularQuery`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRegularQuery?: (ctx: RegularQueryContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.singleQuery`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSingleQuery?: (ctx: SingleQueryContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.clause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitClause?: (ctx: ClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.useClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUseClause?: (ctx: UseClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.graphReference`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphReference?: (ctx: GraphReferenceContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.finishClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFinishClause?: (ctx: FinishClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.returnClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnClause?: (ctx: ReturnClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.returnBody`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnBody?: (ctx: ReturnBodyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.returnItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnItem?: (ctx: ReturnItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.returnItems`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnItems?: (ctx: ReturnItemsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.orderItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOrderItem?: (ctx: OrderItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.ascToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAscToken?: (ctx: AscTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.descToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDescToken?: (ctx: DescTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.orderBy`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOrderBy?: (ctx: OrderByContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.skip`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSkip?: (ctx: SkipContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.limit`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLimit?: (ctx: LimitContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.whereClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhereClause?: (ctx: WhereClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.withClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWithClause?: (ctx: WithClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateClause?: (ctx: CreateClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.insertClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertClause?: (ctx: InsertClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.setClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetClause?: (ctx: SetClauseContext) => Result;
    /**
     * Visit a parse tree produced by the `SetProp`
     * labeled alternative in `CypherCmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetProp?: (ctx: SetPropContext) => Result;
    /**
     * Visit a parse tree produced by the `SetDynamicProp`
     * labeled alternative in `CypherCmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetDynamicProp?: (ctx: SetDynamicPropContext) => Result;
    /**
     * Visit a parse tree produced by the `SetProps`
     * labeled alternative in `CypherCmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetProps?: (ctx: SetPropsContext) => Result;
    /**
     * Visit a parse tree produced by the `AddProp`
     * labeled alternative in `CypherCmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAddProp?: (ctx: AddPropContext) => Result;
    /**
     * Visit a parse tree produced by the `SetLabels`
     * labeled alternative in `CypherCmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetLabels?: (ctx: SetLabelsContext) => Result;
    /**
     * Visit a parse tree produced by the `SetLabelsIs`
     * labeled alternative in `CypherCmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetLabelsIs?: (ctx: SetLabelsIsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.removeClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveClause?: (ctx: RemoveClauseContext) => Result;
    /**
     * Visit a parse tree produced by the `RemoveProp`
     * labeled alternative in `CypherCmdParser.removeItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveProp?: (ctx: RemovePropContext) => Result;
    /**
     * Visit a parse tree produced by the `RemoveDynamicProp`
     * labeled alternative in `CypherCmdParser.removeItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveDynamicProp?: (ctx: RemoveDynamicPropContext) => Result;
    /**
     * Visit a parse tree produced by the `RemoveLabels`
     * labeled alternative in `CypherCmdParser.removeItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveLabels?: (ctx: RemoveLabelsContext) => Result;
    /**
     * Visit a parse tree produced by the `RemoveLabelsIs`
     * labeled alternative in `CypherCmdParser.removeItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveLabelsIs?: (ctx: RemoveLabelsIsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.deleteClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDeleteClause?: (ctx: DeleteClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.matchClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMatchClause?: (ctx: MatchClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.matchMode`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMatchMode?: (ctx: MatchModeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.hint`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitHint?: (ctx: HintContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.mergeClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMergeClause?: (ctx: MergeClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.mergeAction`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMergeAction?: (ctx: MergeActionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.unwindClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnwindClause?: (ctx: UnwindClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.callClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCallClause?: (ctx: CallClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.procedureName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureName?: (ctx: ProcedureNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.procedureArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureArgument?: (ctx: ProcedureArgumentContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.procedureResultItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureResultItem?: (ctx: ProcedureResultItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.loadCSVClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLoadCSVClause?: (ctx: LoadCSVClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.foreachClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitForeachClause?: (ctx: ForeachClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryClause?: (ctx: SubqueryClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryScope`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryScope?: (ctx: SubqueryScopeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryInTransactionsParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsParameters?: (ctx: SubqueryInTransactionsParametersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryInTransactionsBatchParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsBatchParameters?: (ctx: SubqueryInTransactionsBatchParametersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryInTransactionsErrorParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsErrorParameters?: (ctx: SubqueryInTransactionsErrorParametersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryInTransactionsReportParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsReportParameters?: (ctx: SubqueryInTransactionsReportParametersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.orderBySkipLimitClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOrderBySkipLimitClause?: (ctx: OrderBySkipLimitClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.patternList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternList?: (ctx: PatternListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.insertPatternList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertPatternList?: (ctx: InsertPatternListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.pattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPattern?: (ctx: PatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.insertPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertPattern?: (ctx: InsertPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.quantifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQuantifier?: (ctx: QuantifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.anonymousPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnonymousPattern?: (ctx: AnonymousPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.shortestPathPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShortestPathPattern?: (ctx: ShortestPathPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.patternElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternElement?: (ctx: PatternElementContext) => Result;
    /**
     * Visit a parse tree produced by the `AnyShortestPath`
     * labeled alternative in `CypherCmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyShortestPath?: (ctx: AnyShortestPathContext) => Result;
    /**
     * Visit a parse tree produced by the `AllShortestPath`
     * labeled alternative in `CypherCmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllShortestPath?: (ctx: AllShortestPathContext) => Result;
    /**
     * Visit a parse tree produced by the `AnyPath`
     * labeled alternative in `CypherCmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyPath?: (ctx: AnyPathContext) => Result;
    /**
     * Visit a parse tree produced by the `AllPath`
     * labeled alternative in `CypherCmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllPath?: (ctx: AllPathContext) => Result;
    /**
     * Visit a parse tree produced by the `ShortestGroup`
     * labeled alternative in `CypherCmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShortestGroup?: (ctx: ShortestGroupContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.groupToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGroupToken?: (ctx: GroupTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.pathToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathToken?: (ctx: PathTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.pathPatternNonEmpty`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathPatternNonEmpty?: (ctx: PathPatternNonEmptyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.nodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNodePattern?: (ctx: NodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.insertNodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertNodePattern?: (ctx: InsertNodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.parenthesizedPath`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedPath?: (ctx: ParenthesizedPathContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.nodeLabels`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNodeLabels?: (ctx: NodeLabelsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.nodeLabelsIs`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNodeLabelsIs?: (ctx: NodeLabelsIsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dynamicExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicExpression?: (ctx: DynamicExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dynamicAnyAllExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicAnyAllExpression?: (ctx: DynamicAnyAllExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dynamicLabelType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicLabelType?: (ctx: DynamicLabelTypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelType?: (ctx: LabelTypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.relType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRelType?: (ctx: RelTypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelOrRelType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelOrRelType?: (ctx: LabelOrRelTypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.properties`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProperties?: (ctx: PropertiesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.relationshipPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRelationshipPattern?: (ctx: RelationshipPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.insertRelationshipPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertRelationshipPattern?: (ctx: InsertRelationshipPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.leftArrow`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLeftArrow?: (ctx: LeftArrowContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.arrowLine`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitArrowLine?: (ctx: ArrowLineContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.rightArrow`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRightArrow?: (ctx: RightArrowContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.pathLength`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathLength?: (ctx: PathLengthContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression?: (ctx: LabelExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression4`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression4?: (ctx: LabelExpression4Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression4Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression4Is?: (ctx: LabelExpression4IsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression3`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression3?: (ctx: LabelExpression3Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression3Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression3Is?: (ctx: LabelExpression3IsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression2`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression2?: (ctx: LabelExpression2Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression2Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression2Is?: (ctx: LabelExpression2IsContext) => Result;
    /**
     * Visit a parse tree produced by the `ParenthesizedLabelExpression`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedLabelExpression?: (ctx: ParenthesizedLabelExpressionContext) => Result;
    /**
     * Visit a parse tree produced by the `AnyLabel`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyLabel?: (ctx: AnyLabelContext) => Result;
    /**
     * Visit a parse tree produced by the `DynamicLabel`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicLabel?: (ctx: DynamicLabelContext) => Result;
    /**
     * Visit a parse tree produced by the `LabelName`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelName?: (ctx: LabelNameContext) => Result;
    /**
     * Visit a parse tree produced by the `ParenthesizedLabelExpressionIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedLabelExpressionIs?: (ctx: ParenthesizedLabelExpressionIsContext) => Result;
    /**
     * Visit a parse tree produced by the `AnyLabelIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyLabelIs?: (ctx: AnyLabelIsContext) => Result;
    /**
     * Visit a parse tree produced by the `DynamicLabelIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicLabelIs?: (ctx: DynamicLabelIsContext) => Result;
    /**
     * Visit a parse tree produced by the `LabelNameIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelNameIs?: (ctx: LabelNameIsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.insertNodeLabelExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertNodeLabelExpression?: (ctx: InsertNodeLabelExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.insertRelationshipLabelExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertRelationshipLabelExpression?: (ctx: InsertRelationshipLabelExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression?: (ctx: ExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression11`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression11?: (ctx: Expression11Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression10`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression10?: (ctx: Expression10Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression9`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression9?: (ctx: Expression9Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression8`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression8?: (ctx: Expression8Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression7`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression7?: (ctx: Expression7Context) => Result;
    /**
     * Visit a parse tree produced by the `StringAndListComparison`
     * labeled alternative in `CypherCmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringAndListComparison?: (ctx: StringAndListComparisonContext) => Result;
    /**
     * Visit a parse tree produced by the `NullComparison`
     * labeled alternative in `CypherCmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNullComparison?: (ctx: NullComparisonContext) => Result;
    /**
     * Visit a parse tree produced by the `TypeComparison`
     * labeled alternative in `CypherCmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypeComparison?: (ctx: TypeComparisonContext) => Result;
    /**
     * Visit a parse tree produced by the `NormalFormComparison`
     * labeled alternative in `CypherCmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNormalFormComparison?: (ctx: NormalFormComparisonContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.normalForm`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNormalForm?: (ctx: NormalFormContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression6?: (ctx: Expression6Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression5`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression5?: (ctx: Expression5Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression4`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression4?: (ctx: Expression4Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression3`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression3?: (ctx: Expression3Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression2`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression2?: (ctx: Expression2Context) => Result;
    /**
     * Visit a parse tree produced by the `PropertyPostfix`
     * labeled alternative in `CypherCmdParser.postFix`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyPostfix?: (ctx: PropertyPostfixContext) => Result;
    /**
     * Visit a parse tree produced by the `LabelPostfix`
     * labeled alternative in `CypherCmdParser.postFix`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelPostfix?: (ctx: LabelPostfixContext) => Result;
    /**
     * Visit a parse tree produced by the `IndexPostfix`
     * labeled alternative in `CypherCmdParser.postFix`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIndexPostfix?: (ctx: IndexPostfixContext) => Result;
    /**
     * Visit a parse tree produced by the `RangePostfix`
     * labeled alternative in `CypherCmdParser.postFix`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRangePostfix?: (ctx: RangePostfixContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.property`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProperty?: (ctx: PropertyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dynamicProperty`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicProperty?: (ctx: DynamicPropertyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.propertyExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyExpression?: (ctx: PropertyExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dynamicPropertyExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicPropertyExpression?: (ctx: DynamicPropertyExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression1?: (ctx: Expression1Context) => Result;
    /**
     * Visit a parse tree produced by the `NummericLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNummericLiteral?: (ctx: NummericLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `StringsLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringsLiteral?: (ctx: StringsLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `OtherLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOtherLiteral?: (ctx: OtherLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `BooleanLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitBooleanLiteral?: (ctx: BooleanLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `KeywordLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitKeywordLiteral?: (ctx: KeywordLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.caseExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCaseExpression?: (ctx: CaseExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.caseAlternative`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCaseAlternative?: (ctx: CaseAlternativeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.extendedCaseExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExtendedCaseExpression?: (ctx: ExtendedCaseExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.extendedCaseAlternative`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExtendedCaseAlternative?: (ctx: ExtendedCaseAlternativeContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenStringOrList`
     * labeled alternative in `CypherCmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenStringOrList?: (ctx: WhenStringOrListContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenNull`
     * labeled alternative in `CypherCmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenNull?: (ctx: WhenNullContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenType`
     * labeled alternative in `CypherCmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenType?: (ctx: WhenTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenForm`
     * labeled alternative in `CypherCmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenForm?: (ctx: WhenFormContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenComparator`
     * labeled alternative in `CypherCmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenComparator?: (ctx: WhenComparatorContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenEquals`
     * labeled alternative in `CypherCmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenEquals?: (ctx: WhenEqualsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.listComprehension`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListComprehension?: (ctx: ListComprehensionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.patternComprehension`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternComprehension?: (ctx: PatternComprehensionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.reduceExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReduceExpression?: (ctx: ReduceExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.listItemsPredicate`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListItemsPredicate?: (ctx: ListItemsPredicateContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.normalizeFunction`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNormalizeFunction?: (ctx: NormalizeFunctionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.trimFunction`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTrimFunction?: (ctx: TrimFunctionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.patternExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternExpression?: (ctx: PatternExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.shortestPathExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShortestPathExpression?: (ctx: ShortestPathExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.parenthesizedExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedExpression?: (ctx: ParenthesizedExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.mapProjection`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMapProjection?: (ctx: MapProjectionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.mapProjectionElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMapProjectionElement?: (ctx: MapProjectionElementContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.countStar`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCountStar?: (ctx: CountStarContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.existsExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExistsExpression?: (ctx: ExistsExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.countExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCountExpression?: (ctx: CountExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.collectExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCollectExpression?: (ctx: CollectExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.numberLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNumberLiteral?: (ctx: NumberLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.signedIntegerLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSignedIntegerLiteral?: (ctx: SignedIntegerLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.listLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListLiteral?: (ctx: ListLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.propertyKeyName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyKeyName?: (ctx: PropertyKeyNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.parameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParameter?: (ctx: ParameterContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.parameterName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParameterName?: (ctx: ParameterNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.functionInvocation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionInvocation?: (ctx: FunctionInvocationContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.functionArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionArgument?: (ctx: FunctionArgumentContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.functionName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionName?: (ctx: FunctionNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.namespace`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNamespace?: (ctx: NamespaceContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.variable`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitVariable?: (ctx: VariableContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.nonEmptyNameList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNonEmptyNameList?: (ctx: NonEmptyNameListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.type`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitType?: (ctx: TypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.typePart`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypePart?: (ctx: TypePartContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.typeName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypeName?: (ctx: TypeNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.typeNullability`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypeNullability?: (ctx: TypeNullabilityContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.typeListSuffix`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypeListSuffix?: (ctx: TypeListSuffixContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.command`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommand?: (ctx: CommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateCommand?: (ctx: CreateCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropCommand?: (ctx: DropCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCommand?: (ctx: ShowCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showCommandYield`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCommandYield?: (ctx: ShowCommandYieldContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.yieldItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitYieldItem?: (ctx: YieldItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.yieldSkip`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitYieldSkip?: (ctx: YieldSkipContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.yieldLimit`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitYieldLimit?: (ctx: YieldLimitContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.yieldClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitYieldClause?: (ctx: YieldClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.commandOptions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommandOptions?: (ctx: CommandOptionsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.terminateCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTerminateCommand?: (ctx: TerminateCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.composableCommandClauses`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitComposableCommandClauses?: (ctx: ComposableCommandClausesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.composableShowCommandClauses`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitComposableShowCommandClauses?: (ctx: ComposableShowCommandClausesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showBriefAndYield`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowBriefAndYield?: (ctx: ShowBriefAndYieldContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showIndexCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowIndexCommand?: (ctx: ShowIndexCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showIndexesAllowBrief`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowIndexesAllowBrief?: (ctx: ShowIndexesAllowBriefContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showIndexesNoBrief`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowIndexesNoBrief?: (ctx: ShowIndexesNoBriefContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintMulti`
     * labeled alternative in `CypherCmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintMulti?: (ctx: ShowConstraintMultiContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintUnique`
     * labeled alternative in `CypherCmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintUnique?: (ctx: ShowConstraintUniqueContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintKey`
     * labeled alternative in `CypherCmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintKey?: (ctx: ShowConstraintKeyContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintRelExist`
     * labeled alternative in `CypherCmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintRelExist?: (ctx: ShowConstraintRelExistContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintOldExists`
     * labeled alternative in `CypherCmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintOldExists?: (ctx: ShowConstraintOldExistsContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintBriefAndYield`
     * labeled alternative in `CypherCmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintBriefAndYield?: (ctx: ShowConstraintBriefAndYieldContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.constraintAllowYieldType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintAllowYieldType?: (ctx: ConstraintAllowYieldTypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.constraintExistType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintExistType?: (ctx: ConstraintExistTypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.constraintBriefAndYieldType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintBriefAndYieldType?: (ctx: ConstraintBriefAndYieldTypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showConstraintsAllowBriefAndYield`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintsAllowBriefAndYield?: (ctx: ShowConstraintsAllowBriefAndYieldContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showConstraintsAllowBrief`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintsAllowBrief?: (ctx: ShowConstraintsAllowBriefContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showConstraintsAllowYield`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintsAllowYield?: (ctx: ShowConstraintsAllowYieldContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showProcedures`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowProcedures?: (ctx: ShowProceduresContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showFunctions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowFunctions?: (ctx: ShowFunctionsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.functionToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionToken?: (ctx: FunctionTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.executableBy`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExecutableBy?: (ctx: ExecutableByContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showFunctionsType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowFunctionsType?: (ctx: ShowFunctionsTypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showTransactions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowTransactions?: (ctx: ShowTransactionsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.terminateTransactions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTerminateTransactions?: (ctx: TerminateTransactionsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showSettings`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowSettings?: (ctx: ShowSettingsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.settingToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSettingToken?: (ctx: SettingTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.namesAndClauses`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNamesAndClauses?: (ctx: NamesAndClausesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringsOrExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringsOrExpression?: (ctx: StringsOrExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.commandNodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommandNodePattern?: (ctx: CommandNodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.commandRelPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommandRelPattern?: (ctx: CommandRelPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createConstraint`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateConstraint?: (ctx: CreateConstraintContext) => Result;
    /**
     * Visit a parse tree produced by the `ConstraintExists`
     * labeled alternative in `CypherCmdParser.constraintType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintExists?: (ctx: ConstraintExistsContext) => Result;
    /**
     * Visit a parse tree produced by the `ConstraintTyped`
     * labeled alternative in `CypherCmdParser.constraintType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintTyped?: (ctx: ConstraintTypedContext) => Result;
    /**
     * Visit a parse tree produced by the `ConstraintIsUnique`
     * labeled alternative in `CypherCmdParser.constraintType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintIsUnique?: (ctx: ConstraintIsUniqueContext) => Result;
    /**
     * Visit a parse tree produced by the `ConstraintKey`
     * labeled alternative in `CypherCmdParser.constraintType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintKey?: (ctx: ConstraintKeyContext) => Result;
    /**
     * Visit a parse tree produced by the `ConstraintIsNotNull`
     * labeled alternative in `CypherCmdParser.constraintType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintIsNotNull?: (ctx: ConstraintIsNotNullContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropConstraint`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropConstraint?: (ctx: DropConstraintContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateIndex?: (ctx: CreateIndexContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.oldCreateIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOldCreateIndex?: (ctx: OldCreateIndexContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createIndex_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateIndex_?: (ctx: CreateIndex_Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createFulltextIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateFulltextIndex?: (ctx: CreateFulltextIndexContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.fulltextNodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFulltextNodePattern?: (ctx: FulltextNodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.fulltextRelPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFulltextRelPattern?: (ctx: FulltextRelPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createLookupIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateLookupIndex?: (ctx: CreateLookupIndexContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.lookupIndexNodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLookupIndexNodePattern?: (ctx: LookupIndexNodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.lookupIndexRelPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLookupIndexRelPattern?: (ctx: LookupIndexRelPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropIndex?: (ctx: DropIndexContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.propertyList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyList?: (ctx: PropertyListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.enclosedPropertyList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEnclosedPropertyList?: (ctx: EnclosedPropertyListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterCommand?: (ctx: AlterCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.renameCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameCommand?: (ctx: RenameCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.grantCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGrantCommand?: (ctx: GrantCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.denyCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDenyCommand?: (ctx: DenyCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.revokeCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRevokeCommand?: (ctx: RevokeCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.userNames`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUserNames?: (ctx: UserNamesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.roleNames`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRoleNames?: (ctx: RoleNamesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.roleToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRoleToken?: (ctx: RoleTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.enableServerCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEnableServerCommand?: (ctx: EnableServerCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterServer`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterServer?: (ctx: AlterServerContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.renameServer`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameServer?: (ctx: RenameServerContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropServer`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropServer?: (ctx: DropServerContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showServers`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowServers?: (ctx: ShowServersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.allocationCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllocationCommand?: (ctx: AllocationCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.deallocateDatabaseFromServers`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDeallocateDatabaseFromServers?: (ctx: DeallocateDatabaseFromServersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.reallocateDatabases`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReallocateDatabases?: (ctx: ReallocateDatabasesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateRole?: (ctx: CreateRoleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropRole?: (ctx: DropRoleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.renameRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameRole?: (ctx: RenameRoleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showRoles`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowRoles?: (ctx: ShowRolesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.grantRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGrantRole?: (ctx: GrantRoleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.revokeRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRevokeRole?: (ctx: RevokeRoleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateUser?: (ctx: CreateUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropUser?: (ctx: DropUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.renameUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameUser?: (ctx: RenameUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterCurrentUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterCurrentUser?: (ctx: AlterCurrentUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterUser?: (ctx: AlterUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.removeNamedProvider`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveNamedProvider?: (ctx: RemoveNamedProviderContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.password`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPassword?: (ctx: PasswordContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.passwordOnly`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPasswordOnly?: (ctx: PasswordOnlyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.passwordExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPasswordExpression?: (ctx: PasswordExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.passwordChangeRequired`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPasswordChangeRequired?: (ctx: PasswordChangeRequiredContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.userStatus`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUserStatus?: (ctx: UserStatusContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.homeDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitHomeDatabase?: (ctx: HomeDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.setAuthClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetAuthClause?: (ctx: SetAuthClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.userAuthAttribute`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUserAuthAttribute?: (ctx: UserAuthAttributeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showUsers`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowUsers?: (ctx: ShowUsersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showCurrentUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCurrentUser?: (ctx: ShowCurrentUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showSupportedPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowSupportedPrivileges?: (ctx: ShowSupportedPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowPrivileges?: (ctx: ShowPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showRolePrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowRolePrivileges?: (ctx: ShowRolePrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showUserPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowUserPrivileges?: (ctx: ShowUserPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.privilegeAsCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrivilegeAsCommand?: (ctx: PrivilegeAsCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.privilegeToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrivilegeToken?: (ctx: PrivilegeTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.privilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrivilege?: (ctx: PrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.allPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllPrivilege?: (ctx: AllPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.allPrivilegeType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllPrivilegeType?: (ctx: AllPrivilegeTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `DefaultTarget`
     * labeled alternative in `CypherCmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDefaultTarget?: (ctx: DefaultTargetContext) => Result;
    /**
     * Visit a parse tree produced by the `DatabaseVariableTarget`
     * labeled alternative in `CypherCmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDatabaseVariableTarget?: (ctx: DatabaseVariableTargetContext) => Result;
    /**
     * Visit a parse tree produced by the `GraphVariableTarget`
     * labeled alternative in `CypherCmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphVariableTarget?: (ctx: GraphVariableTargetContext) => Result;
    /**
     * Visit a parse tree produced by the `DBMSTarget`
     * labeled alternative in `CypherCmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDBMSTarget?: (ctx: DBMSTargetContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreatePrivilege?: (ctx: CreatePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createPrivilegeForDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreatePrivilegeForDatabase?: (ctx: CreatePrivilegeForDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createNodePrivilegeToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateNodePrivilegeToken?: (ctx: CreateNodePrivilegeTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createRelPrivilegeToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateRelPrivilegeToken?: (ctx: CreateRelPrivilegeTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createPropertyPrivilegeToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreatePropertyPrivilegeToken?: (ctx: CreatePropertyPrivilegeTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.actionForDBMS`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitActionForDBMS?: (ctx: ActionForDBMSContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropPrivilege?: (ctx: DropPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.loadPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLoadPrivilege?: (ctx: LoadPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowPrivilege?: (ctx: ShowPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.setPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetPrivilege?: (ctx: SetPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.passwordToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPasswordToken?: (ctx: PasswordTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.removePrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemovePrivilege?: (ctx: RemovePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.writePrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWritePrivilege?: (ctx: WritePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.databasePrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDatabasePrivilege?: (ctx: DatabasePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dbmsPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDbmsPrivilege?: (ctx: DbmsPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dbmsPrivilegeExecute`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDbmsPrivilegeExecute?: (ctx: DbmsPrivilegeExecuteContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.adminToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAdminToken?: (ctx: AdminTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.procedureToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureToken?: (ctx: ProcedureTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.indexToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIndexToken?: (ctx: IndexTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.constraintToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintToken?: (ctx: ConstraintTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.transactionToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTransactionToken?: (ctx: TransactionTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.userQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUserQualifier?: (ctx: UserQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.executeFunctionQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExecuteFunctionQualifier?: (ctx: ExecuteFunctionQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.executeProcedureQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExecuteProcedureQualifier?: (ctx: ExecuteProcedureQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.settingQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSettingQualifier?: (ctx: SettingQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.globs`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlobs?: (ctx: GlobsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.glob`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlob?: (ctx: GlobContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.globRecursive`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlobRecursive?: (ctx: GlobRecursiveContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.globPart`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlobPart?: (ctx: GlobPartContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.qualifiedGraphPrivilegesWithProperty`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQualifiedGraphPrivilegesWithProperty?: (ctx: QualifiedGraphPrivilegesWithPropertyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.qualifiedGraphPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQualifiedGraphPrivileges?: (ctx: QualifiedGraphPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelsResource`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelsResource?: (ctx: LabelsResourceContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.propertiesResource`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertiesResource?: (ctx: PropertiesResourceContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.nonEmptyStringList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNonEmptyStringList?: (ctx: NonEmptyStringListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.graphQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphQualifier?: (ctx: GraphQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.graphQualifierToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphQualifierToken?: (ctx: GraphQualifierTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.relToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRelToken?: (ctx: RelTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.elementToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitElementToken?: (ctx: ElementTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.nodeToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNodeToken?: (ctx: NodeTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.databaseScope`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDatabaseScope?: (ctx: DatabaseScopeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.graphScope`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphScope?: (ctx: GraphScopeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createCompositeDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateCompositeDatabase?: (ctx: CreateCompositeDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateDatabase?: (ctx: CreateDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.primaryTopology`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrimaryTopology?: (ctx: PrimaryTopologyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.primaryToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrimaryToken?: (ctx: PrimaryTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.secondaryTopology`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSecondaryTopology?: (ctx: SecondaryTopologyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.secondaryToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSecondaryToken?: (ctx: SecondaryTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropDatabase?: (ctx: DropDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.aliasAction`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAliasAction?: (ctx: AliasActionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterDatabase?: (ctx: AlterDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterDatabaseAccess`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterDatabaseAccess?: (ctx: AlterDatabaseAccessContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterDatabaseTopology`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterDatabaseTopology?: (ctx: AlterDatabaseTopologyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterDatabaseOption`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterDatabaseOption?: (ctx: AlterDatabaseOptionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.startDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStartDatabase?: (ctx: StartDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stopDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStopDatabase?: (ctx: StopDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.waitClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWaitClause?: (ctx: WaitClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.secondsToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSecondsToken?: (ctx: SecondsTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowDatabase?: (ctx: ShowDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.aliasName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAliasName?: (ctx: AliasNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.databaseName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDatabaseName?: (ctx: DatabaseNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createAlias`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateAlias?: (ctx: CreateAliasContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropAlias`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropAlias?: (ctx: DropAliasContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterAlias`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAlias?: (ctx: AlterAliasContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterAliasTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAliasTarget?: (ctx: AlterAliasTargetContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterAliasUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAliasUser?: (ctx: AlterAliasUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterAliasPassword`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAliasPassword?: (ctx: AlterAliasPasswordContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterAliasDriver`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAliasDriver?: (ctx: AlterAliasDriverContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterAliasProperties`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAliasProperties?: (ctx: AlterAliasPropertiesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showAliases`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowAliases?: (ctx: ShowAliasesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicNameOrStringParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNameOrStringParameter?: (ctx: SymbolicNameOrStringParameterContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.commandNameExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommandNameExpression?: (ctx: CommandNameExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicNameOrStringParameterList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNameOrStringParameterList?: (ctx: SymbolicNameOrStringParameterListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicAliasNameList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicAliasNameList?: (ctx: SymbolicAliasNameListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicAliasNameOrParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicAliasNameOrParameter?: (ctx: SymbolicAliasNameOrParameterContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicAliasName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicAliasName?: (ctx: SymbolicAliasNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringListLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringListLiteral?: (ctx: StringListLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringList?: (ctx: StringListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringLiteral?: (ctx: StringLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringOrParameterExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringOrParameterExpression?: (ctx: StringOrParameterExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringOrParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringOrParameter?: (ctx: StringOrParameterContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.uIntOrIntParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUIntOrIntParameter?: (ctx: UIntOrIntParameterContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.mapOrParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMapOrParameter?: (ctx: MapOrParameterContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.map`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMap?: (ctx: MapContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicVariableNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicVariableNameString?: (ctx: SymbolicVariableNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.escapedSymbolicVariableNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEscapedSymbolicVariableNameString?: (ctx: EscapedSymbolicVariableNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.unescapedSymbolicVariableNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnescapedSymbolicVariableNameString?: (ctx: UnescapedSymbolicVariableNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNameString?: (ctx: SymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.escapedSymbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEscapedSymbolicNameString?: (ctx: EscapedSymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.unescapedSymbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnescapedSymbolicNameString?: (ctx: UnescapedSymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicLabelNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicLabelNameString?: (ctx: SymbolicLabelNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.unescapedLabelSymbolicNameString_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnescapedLabelSymbolicNameString_?: (ctx: UnescapedLabelSymbolicNameString_Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.endOfFile`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEndOfFile?: (ctx: EndOfFileContext) => Result;
}
